## tzdata 2022e

=== debian/changelog ===
tzdata (2022e-1) unstable; urgency=medium

  * New upstream version:
    - Jordan and Syria are abandoning the DST regime and are changing to
      permanent +03, so they will not fall back from +03 to +02 on
      2022-10-28.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 14 Oct 2022 21:54:44 +0200
