## tzdata 2022f

=== debian/changelog ===
tzdata (2022f-1) unstable; urgency=high

  * New upstream version:
    - Mexico will no longer observe DST except near the US border.
      Chihuahua moves to year-round -06 on 2022-10-30.
    - Fiji no longer observes DST.
  * Set urgency to high as the first change happens tomorrow.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Oct 2022 12:19:28 +0200
