## tzdata 2022g

=== debian/changelog ===
tzdata (2022g-4) unstable; urgency=medium

  * Fix configuration failure with relative /etc/localtime symlink
    (Closes: #1030742)
  * Fix exit status 10 for invalid /etc/localtime symlinks

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Feb 2023 17:53:35 +0100

tzdata (2022g-3) unstable; urgency=medium

  * Update Brazilian Portuguese debconf translation.  (Closes: #1029004)
    Thanks to Adriano Rafael Gomes <adrianorg@debian.org>
  * Update Dutch debconf translation. (Closes: #1029019)
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
  * Update Turkish debconf translation. (Closes: #1029492)
    Thanks to Atila KOÇ <koc@artielektronik.com.tr>
  * Drop Asia/Rangoon from debconf options (was renamed to Asia/Yangon)
  * Update conversion targets to America/Indiana/Indianapolis
  * Remove incorrect fuzzy debconf translations
  * Test convert_timezone for consistency
  * Build timezones that differ pre-1970 (LP: #2003797)
  * Update English and German debconf translations
  * Test timezones using Python's zoneinfo module
  * Stop creating /etc/timezone and remove it on upgrades as a one-time action,
    but keep updating it in case users restore it (Closes: #822733)
  * Remove /etc/timezone on purge (LP: #1683595)
  * Test debconf configuration with autopkgtest
  * d/tzdata.config: Group matches by target timzones

 -- Benjamin Drung <bdrung@debian.org>  Tue, 07 Feb 2023 00:31:33 +0100

tzdata (2022g-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Update Czech debconf translation.
    Thanks to Miroslav Kuře <kurem@upcase.inf.upol.cz> (Closes: #1027862)
  * Update Korean debconf translation.
    Thanks to Changwoo Ryu <cwryu@debian.org> (Closes: #1027983)
  * d/tzdata.config: Update Mideast/Riyadh8[789] to Asia/Riyadh
  * Address shellcheck complaints in postinst and tzdata.config
  * d/tzdata.config: Rename Pacific/Enderbury to Pacific/Kanton
  * Replace obsolete two-level American timezones by three-level timezones
  * Translate area "America" as "Americas" in English
    (Closes: #508118, LP: #599466)

  [ Aurelien Jarno ]
  * Update Spanish debconf translation.
    Thanks to Jonatan Porras <jonatanpc8@gmail.com>
  * Update Polish debconf translation.
    Thanks to Łukasz Dulny <BartekChom@poczta.onet.pl>
  * Update French debconf translation.
    Thanks to Baptiste Jammet <baptiste@mailoo.org>
  * Update Hebrew debconf translation.
    Thanks to Omer Zak <w1@zak.co.il>
  * Update Swedish debconf translation.
    Thanks to Luna Jernberg <droidbittin@gmail.com>
  * Drop wrong conversion of the Pacific/Enderbury timezone

  [ Benjamin Drung ]
  * d/rules: Exclude obsolete Uzhgorod and Zaporozhye from debconf
  * Generate debconf templates with Python
  * Drop obsolete tzconfig command (use "dpkg-reconfigure tzdata" instead)
  * Do not update US/* timezones to their America/* counterparts
    (Closes: #688318, LP: #772024)
  * Fix German translation of "Indian" to "Indischer Ozean"

 -- Benjamin Drung <bdrung@debian.org>  Tue, 10 Jan 2023 23:18:28 +0100

tzdata (2022g-1) unstable; urgency=medium

  * New upstream version:
    - The northern edge of Chihuahua changes to US timekeeping.
    - Much of Greenland stops changing clocks after March 2023.
    - Fix some pre-1996 timestamps in northern Canada.
  * debian/tzdata.config: convert Europe/Uzhgorod and Europe/Zaporozhye
    into Europe/Kyiv.
  * debian/tzdata.templates: Remove Uzhgorod and Zaporozhye, add Ciudad_Juarez
  * debian/watch: Switch from failing ftp to https
  * Add myself to Uploaders
  * Replace timezone files in posix directory by symlinks (Closes: #1010477)
  * Convert d/copyright to machine-readable format. Thanks to Bastian Germann
    (Closes: #1023598)
  * Bump Standards-Version to 4.6.2
  * Add debian/upstream/metadata

 -- Benjamin Drung <bdrung@debian.org>  Mon, 02 Jan 2023 15:27:07 +0100
