=== debian/control ===
Source: tzdata
Section: localization
Priority: required
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: gawk, po-debconf, python3 (>= 3.9), python3-debian
Rules-Requires-Root: no
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Clint Adams <clint@debian.org>,
           Aurelien Jarno <aurel32@debian.org>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 4.6.2
Homepage: https://www.iana.org/time-zones
Vcs-Git: https://salsa.debian.org/glibc-team/tzdata.git
Vcs-Browser: https://salsa.debian.org/glibc-team/tzdata

Package: tzdata
Architecture: all
Multi-Arch: foreign
Depends: debconf | debconf-2.0, ${misc:Depends}
Provides: tzdata-bookworm
Description: time zone and daylight-saving time data
 This package contains data required for the implementation of
 standard local time for many representative locations around the
 globe. It is updated periodically to reflect changes made by
 political bodies to time zone boundaries, UTC offsets, and
 daylight-saving rules.
