## tzdata 2023c

=== debian/changelog ===
tzdata (2023c-0ubuntu0.18.04) bionic; urgency=medium

  * New upstream release (LP: #2012599)
    - Egypt now uses DST again, from April through October.
    - This year Morocco springs forward April 23, not April 30.
    - Palestine delays the start of DST this year.
    - Much of Greenland still uses DST from 2024 on.
  * Test timezones using Python pytz module
  * Add autopkgtest test case for 2023c release
  * Update debconf template and translations
  * Check that the old SystemV timezones are still available

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 03 Apr 2023 13:52:56 +0200

tzdata (2022g-0ubuntu0.18.04) bionic; urgency=medium

  * New upstream release (LP: #1998321)
    - The northern edge of Chihuahua changes to US timekeeping.
    - Much of Greenland stops changing clocks after March 2023.
    - Fix some pre-1996 timestamps in northern Canada.
  * d/watch: Switch from failing ftp to https
  * debian/tzdata.templates: Add Ciudad_Juarez

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 30 Nov 2022 20:08:26 +0100

tzdata (2022f-0ubuntu0.18.04.0) bionic; urgency=medium

  * New upstream release (LP: #1995209):
    - Mexico will no longer observe DST except near the US border.
    - Chihuahua has moved to year-round -06 on 2022-10-30.
    - Fiji no longer observes DST.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Oct 2022 02:02:00 +0100

tzdata (2022e-0ubuntu0.18.04.0) bionic; urgency=medium

  * New upstream releases (LP: #1992692):
    - Palestine transitions are now Saturdays at 02:00. This means 2022 falls
      back 10-29 at 02:00, not 10-28 at 01:00.
    - Simplify three Ukraine zones into one. (LP: #1969671)
    - Jordan and Syria switch from +02/+03 with DST to year-round
  * debian/tzdata.templates and debian/tzdata.config:
    - Convert Europe/Kiev into Europe/Kyiv
    - Remove Uzhgorod and Zaporozhye

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 17 Oct 2022 15:59:56 +0200
