=== debian/tests/control ===
Tests: python
Depends: python3, python3-tz, tzdata
Restrictions: allow-stderr
