## tzdata 2023d

=== debian/changelog ===
tzdata (2023d-1deepin1) unstable; urgency=medium

  * Convert Asia/Beijing to Asia/Shanghai.

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 12 Mar 2024 15:17:02 +0800

tzdata (2023d-1) unstable; urgency=medium

  * New upstream version (LP: #2047314):
    - Ittoqqortoormiit, Greenland changes time zones on 2024-03-31.
    - Vostok, Antarctica changed time zones on 2023-12-18.
    - Casey, Antarctica changed time zones five times since 2020.
    - Code and data fixes for Palestine timestamps starting in 2072.
    - A new data file zonenow.tab for timestamps starting now.
  * Install zonenow.tab in tzdata
  * Add autopkgtest test case for 2023d release
  * Document tzdata-legacy split in NEWS.Debian (Closes: #1051973, #1056908)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 02 Jan 2024 14:19:32 +0100

tzdata (2023c-11) unstable; urgency=medium

  * Update Swedish debconf translation.
    Thanks to Martin Bagge / brother <brother@persilja.net> (Closes: #1054616)
  * Update leap-seconds.list from upstream
  * Remove leapseconds during clean target

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Nov 2023 00:26:04 +0100

tzdata (2023c-10) unstable; urgency=medium

  * Partially revert 2023c-8: Move top-level timezones like UTC and CET back to
    tzdata. Only the old or merged timezones mentioned in the upstream backward
    file stay in tzdata-legacy (Closes: #1043250, LP: #2030684)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 09 Aug 2023 23:10:14 +0200

tzdata (2023c-9) unstable; urgency=medium

  * Move top-level UTC timezone back to tzdata (Closes: #1043250, LP: #2030684)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 08 Aug 2023 12:00:00 +0200

tzdata (2023c-8) unstable; urgency=medium

  * Update Dutch debconf translation.
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
    (Closes: #1041278)
  * Ship only timezones in tzdata that follow the current rules of geographical
    region (continent or ocean) and city name. Move all legacy timezone symlinks
    (that are upgraded during package update) to tzdata-legacy. This includes
    dropping the special handling for US/* timezones. (Closes: #1040997)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 07 Aug 2023 15:02:14 +0200

tzdata (2023c-7) unstable; urgency=medium

  * Update Romanian debconf translation. Thanks to Remus-Gabriel Chelu
    (Closes: #1038905)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 03 Jul 2023 17:18:18 +0200

tzdata (2023c-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Change Provides: from tzdata-bookworm to tzdata-trixie

  [ Benjamin Drung ]
  * Drop /usr/share/zoneinfo/posix (identical to /usr/share/zoneinfo)
    (LP: #2008076)
  * Split right/* timezones into separate tzdata-legacy package (LP: #2008076)
  * Update Turkish debconf translation. Thanks to Atila KOÇ (Closes: #1037266)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 11 Jun 2023 23:44:54 +0200

tzdata (2023c-5) unstable; urgency=medium

  * Update German debconf translation.
    Thanks to Helge Kreutzmann <debian@helgefjell.de> (Closes: #1036464)

 -- Benjamin Drung <bdrung@debian.org>  Sun, 28 May 2023 21:54:34 +0200

tzdata (2023c-4) unstable; urgency=medium

  * Sort timezones naturally in debconf
  * Add explanation for plus/minus used by Etc/GMT timezones
    (Closes: #540305, LP: #1325949)
  * Build tzdata with PACKRATLIST=zone.tab. In combination with
    PACKRATDATA=backzone (which is used since 2022g-3), time zones that differ
    pre-1970 and had been resurrected will not incur changes to data from 1970
    on. This also removes Asia/Hanoi again. (LP: #2017999)
  * Update Croatian debconf translation. Thanks to Tomislav Krznar.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 10 May 2023 00:00:40 +0200

tzdata (2023c-3) unstable; urgency=medium

  * test_timezone_conversions: Print all failures before failing
  * Add Romanian debconf translation. Thanks to Remus-Gabriel Chelu
    (Closes: #1034094)
  * Add Language metadata to all debconf translation files
  * Convert Pacific/Ponape to Pacific/Pohnpei on upgrade
  * Convert Asia/Ujung_Pandang to Asia/Makassar on upgrade
  * Convert Pacific/Truk to Pacific/Chuuk on upgrade
  * Fix or drop wrong translations
  * Check debconf translation files for inconsistencies
  * Fix German translation of Christmas and Easter Island

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Apr 2023 13:54:30 +0200

tzdata (2023c-2) unstable; urgency=medium

  * Add autopkgtest test case for pre-1970 timestamps
  * generate_debconf_templates: Be explicit about including or excluding
    symlinks (to catch cases like renamed timezones)
  * test_timezone_conversions: Also check for missing conversions (timezones
    that cannot be selected in debconf should be converted on upgrade)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 30 Mar 2023 01:14:49 +0200

tzdata (2023c-1) unstable; urgency=medium

  * New upstream version (LP: #2012599):
    - Revert all changes made in 2023b to model this week's daylight saving
      chaos in Lebanon.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 29 Mar 2023 11:37:18 +0200

tzdata (2023b-1) unstable; urgency=medium

  * New upstream version (LP: #2012599):
    - Lebanon delays the start of DST this year.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 24 Mar 2023 12:23:17 +0100

tzdata (2023a-1) unstable; urgency=medium

  * New upstream version (LP: #2012599):
    - Egypt now uses DST again, from April through October.
    - This year Morocco springs forward April 23, not April 30.
    - Palestine delays the start of DST this year.
    - Much of Greenland still uses DST from 2024 on.
  * Add autopkgtest test case for 2023a release
  * Update Dutch debconf translation. (Closes: #1032537)
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>

 -- Benjamin Drung <bdrung@debian.org>  Thu, 23 Mar 2023 11:53:35 +0100

tzdata (2022g-7) unstable; urgency=medium

  * Create /etc/timezone with default SELinux context (Closes: #1031514)


