## tzdata 2024a

=== debian/changelog ===
tzdata (2024a-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2024a ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Apr 2024 22:32:21 +0200

tzdata (2024a-2) unstable; urgency=medium

  * Update Italian debconf translation.
    Thanks to Ceppo <ceppo@oziosi.org> (Closes: #1063490)
  * Replace America/Godthab by America/Nuuk
  * Do not replace CET, CST6CDT, EET, EST*, HST, MET, MST*, PST8PDT, WET.
    The replacements differed in using daylight saving. (LP: #2055718)
  * Fix updating US/Indiana-Starke to America/Indiana/Knox
  * Allow ziguard.awk to generate timezone symlink that point to symlinks
    to fix (at least) the timezone symlinks Africa/Asmera,
    Antarctica/South_Pole, Iceland, Pacific/Ponape, and Pacific/Truk.
  * test_timezone_conversions: Check symlink targets

 -- Benjamin Drung <bdrung@debian.org>  Fri, 05 Apr 2024 22:24:29 +0200

tzdata (2024a-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2052739). Remaining changes:
    - Ship ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import
  * Update the ICU timezone data to 2024a
  * Add autopkgtest test case for ICU timezone data 2024a

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Feb 2024 23:00:15 +0100

tzdata (2024a-1) unstable; urgency=medium

  * New upstream version 2024a
     - Kazakhstan unifies on UTC+5 beginning 2024-03-01.
     - Palestine springs forward a week later after Ramadan.
  * Add autopkgtest test case for 2024a release

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Feb 2024 17:28:52 +0100

tzdata (2023d-1ubuntu2) noble; urgency=medium

  * Drop recommending tzdata-icu. Please depend on tzdata-icu if needed.
    (LP: #2047939)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 03 Jan 2024 15:00:04 +0100

tzdata (2023d-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2023c ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import
  * No ICU data update yet as none is yet available upstream.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 02 Jan 2024 15:24:25 +0100

tzdata (2023c-9ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2023c ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 09 Aug 2023 22:16:36 +0200

tzdata (2023c-8ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2023c ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 07 Aug 2023 15:16:27 +0200

tzdata (2023c-7ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2023c ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 03 Jul 2023 17:27:59 +0200

tzdata (2023c-4exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Ship 2023c ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 10 May 2023 00:26:05 +0200

tzdata (2023c-4exp1) experimental; urgency=medium

  * Drop /usr/share/zoneinfo/posix (identical to /usr/share/zoneinfo)
    (LP: #2008076)
  * Split right/* timezones into separate tzdata-legacy package (LP: #2008076)
  * Drop providing tzdata-bookworm from tzdata

 -- Benjamin Drung <bdrung@debian.org>  Wed, 10 May 2023 00:06:07 +0200

tzdata (2023c-2exp1ubuntu1) lunar; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Ship ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
  * Update the ICU timezone data to 2023c

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 03 Apr 2023 12:59:10 +0200

tzdata (2023c-2exp1) experimental; urgency=medium

  * Drop /usr/share/zoneinfo/posix (identical to /usr/share/zoneinfo)

