=== debian/control ===
--- 
+++ 
@@ -3,27 +3,29 @@
 Priority: required
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gawk,
+                     icu-devtools,
                      po-debconf,
                      python3 (>= 3.9),
                      python3-debian,
                      python3-natsort,
                      python3-polib
 Rules-Requires-Root: no
-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Clint Adams <clint@debian.org>,
            Aurelien Jarno <aurel32@debian.org>,
            Benjamin Drung <bdrung@debian.org>
 Standards-Version: 4.6.2
 Homepage: https://www.iana.org/time-zones
-Vcs-Git: https://salsa.debian.org/glibc-team/tzdata.git
-Vcs-Browser: https://salsa.debian.org/glibc-team/tzdata
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata
 
 Package: tzdata
 Architecture: all
 Multi-Arch: foreign
 Depends: debconf | debconf-2.0, ${misc:Depends}
-Breaks: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
-Replaces: tzdata-legacy (= 2023c-8), tzdata-legacy (= 2023c-9)
+Breaks: tzdata-legacy (= 2023c-8ubuntu1)
+Replaces: tzdata-legacy (= 2023c-8ubuntu1)
 Provides: tzdata-trixie
 Description: time zone and daylight-saving time data
  This package contains data required for the implementation of
@@ -32,14 +34,31 @@
  political bodies to time zone boundaries, UTC offsets, and
  daylight-saving rules.
 
+Package: tzdata-icu
+Architecture: all
+Multi-Arch: foreign
+Priority: optional
+Depends: ${misc:Depends}
+Conflicts: tzdata-bookworm, tzdata-bullseye
+Replaces: tzdata-bookworm, tzdata-bullseye
+Description: ICU time zone and daylight-saving time data
+ This package contains data required for the implementation of
+ standard local time for many representative locations around the
+ globe. It is updated periodically to reflect changes made by
+ political bodies to time zone boundaries, UTC offsets, and
+ daylight-saving rules.
+ .
+ This package contains the time zone data in the format used by
+ International Components for Unicode (ICU).
+
 Package: tzdata-legacy
 Architecture: all
 Multi-Arch: foreign
 Priority: optional
 Depends: tzdata, ${misc:Depends}
-Breaks: tzdata (<< 2023c-8~)
+Breaks: tzdata (<< 2024a-2~)
 Conflicts: tzdata-bookworm, tzdata-bullseye
-Replaces: tzdata (<< 2023c-8~), tzdata-bookworm, tzdata-bullseye
+Replaces: tzdata (<< 2024a-2~), tzdata-bookworm, tzdata-bullseye
 Description: time zone data for TAI minus ten seconds
  This package contains data required for the implementation of
  standard local time for many representative locations around the
