=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,10 @@
 Restrictions: allow-stderr
 Features: test-name=python_no_legacy
 
+Tests: python-icu
+Depends: python3, python3-icu, tzdata-icu
+Restrictions: allow-stderr
+
 Test-command: debian/test_timezone_conversions -d /var/lib/dpkg/info/
 Depends: python3, python3-debian, tzdata, tzdata-legacy
 Restrictions: allow-stderr superficial
