## tzdata 2024b

=== debian/changelog ===
tzdata (2024b-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2024b ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Point Vcs-Browser/Git to Launchpad
  * Dropped changes:
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Move UNIX System V zones back from backzone to backwards file
      to keep them unchanged for the stable release updates.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 03 Dec 2024 14:19:27 +0100

tzdata (2024b-4) unstable; urgency=medium

  * Update Catalan debconf translation.
    Thanks to Carles Pina i Estany <carles@pina.cat> (Closes: #1086485)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 03 Dec 2024 13:42:50 +0100

tzdata (2024b-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * tzdata-legacy: bump Replaces: tzdata version to handle the
    Asia/Choibalsan move

  [ Benjamin Drung ]
  * Update Indonesian debconf translation.
    Thanks to Andika Triwidada <andika@gmail.com> (Closes: #1084493)
  * Upstream obsoleted the System V names CET, CST6CDT, EET, EST*, HST, MET,
    MST*, PST8PDT, and WET. They are symlinks now. Move those zones to
    tzdata-legacy and update /etc/localtime on package update to the new names.
    Please use Etc/GMT* in case you want to avoid DST changes.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 07 Oct 2024 17:07:13 +0200

tzdata (2024b-2) unstable; urgency=medium

  * Build timezones with zic -b 'fat' (Closes: #1084111)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 05 Oct 2024 13:54:18 +0200

tzdata (2024b-1ubuntu2) oracular; urgency=medium

  [ Aurelien Jarno ]
  * Build timezones with zic -b 'fat' (Closes: #1084111)
  * tzdata-legacy: bump Replaces: tzdata version to handle the
    Asia/Choibalsan move

  [ Benjamin Drung ]
  * Move UNIX System V zones back from backzone to backwards file
    to keep them unchanged for the stable release updates.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 08 Oct 2024 16:52:58 +0200

tzdata (2024b-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
  * Update the ICU timezone data to 2024b
  * Add autopkgtest test case for ICU timezone data 2024b

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Oct 2024 18:55:59 +0200

tzdata (2024b-1) unstable; urgency=medium

  * New upstream release (LP: #2079966):
    - Improve historical data for Mexico, Mongolia, and Portugal.
    - System V names are now obsolescent.
    - The main data form now uses %z.
    - Asia/Choibalsan is now an alias for Asia/Ulaanbaatar
  * Add autopkgtest test case for 2024b release
  * Update Asia/Choibalsan to Asia/Ulaanbaatar on upgrade and move
    Asia/Choibalsan to tzdata-legacy
  * Bump Standards-Version to 4.7.0
  * generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@debian.org>  Wed, 02 Oct 2024 18:42:23 +0200

tzdata (2024a-4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Ship 2024a ICU timezone data which are utilized by PHP in tzdata-icu
    - Add autopkgtest test case for ICU timezone data
    - Do not rename NEWS into changelog.gz, this fixes a build failure on
      moment-timezone.js
    - Point Vcs-Browser/Git to Launchpad
    - generate_debconf_templates: Work around AttributeError on icu import

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 02 May 2024 18:34:12 +0200

tzdata (2024a-4) unstable; urgency=medium

  * d/rules: Support creating symlinks pointing to symlinks
  * Fixup for avoid timezones being symlinks to symlinks (LP: #2062522)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 02 May 2024 17:51:44 +0200

tzdata (2024a-3) unstable; urgency=medium

  * Avoid timezones being symlinks to symlinks to avoid breaking C++20 standard
    expectation (LP: #2062522)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 19 Apr 2024 21:38:15 +0200
