=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Uploaders: Clint Adams <clint@debian.org>,
            Aurelien Jarno <aurel32@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.iana.org/time-zones
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/tzdata/+git/tzdata
@@ -56,9 +56,9 @@
 Multi-Arch: foreign
 Priority: optional
 Depends: tzdata, ${misc:Depends}
-Breaks: tzdata (<< 2024a-2~)
+Breaks: tzdata (<< 2024b-3~)
 Conflicts: tzdata-bookworm, tzdata-bullseye
-Replaces: tzdata (<< 2024a-2~), tzdata-bookworm, tzdata-bullseye
+Replaces: tzdata (<< 2024b-3~), tzdata-bookworm, tzdata-bullseye
 Description: time zone data for TAI minus ten seconds
  This package contains data required for the implementation of
  standard local time for many representative locations around the
