=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,15 @@
 	$(MAKE) AWK=gawk BACKWARD="backward" PACKRATDATA=backzone PACKRATLIST=zone.tab VERSION_DEPS= tzdata.zi leapseconds
 
 	# Build the timezone data
-	/usr/sbin/zic -d $(TZGEN) -L /dev/null tzdata.zi
-	/usr/sbin/zic -d $(TZGEN)/right -L leapseconds tzdata.zi
+	/usr/sbin/zic -b fat -d $(TZGEN) -L /dev/null tzdata.zi
+	/usr/sbin/zic -b fat -d $(TZGEN)/right -L leapseconds tzdata.zi
 
 	# Replace hardlinks by symlinks
 	grep '^L ' $(CURDIR)/tzdata.zi | while read L target name ; do \
-		ln -srf $(TZGEN)/$$target $(TZGEN)/$$name ; \
-		ln -srf $(TZGEN)/right/$$target $(TZGEN)/right/$$name ; \
+		absolute_name="$(TZGEN)/$$name"; \
+		relative_target=$$(realpath -m -s --relative-to="$${absolute_name%/*}" "$(TZGEN)/$$target"); \
+		ln -sf "$$relative_target" "$(TZGEN)/$$name" ; \
+		ln -sf "$$relative_target" "$(TZGEN)/right/$$name" ; \
 	done
 
 	# Generate a posixrules file
@@ -53,8 +55,7 @@
 	dh_auto_clean
 
 override_dh_installchangelogs:
-	cp NEWS debian/tzdata/usr/share/doc/tzdata
-	dh_installchangelogs
+	dh_installchangelogs NEWS
 
 update-icu:
 	mkdir -p debian/icu/
